Create standalone install
curl --request POST \
--url https://api.cnap.tech/v1/installs/standalone \
--header 'Authorization: Bearer <token>' \
--header 'Content-Type: application/json' \
--data '
{
"name": "my-redis",
"cluster_ids": [
"<string>"
],
"helm_sources": [
{
"chart": {
"repo_url": "<string>",
"target_revision": "<string>",
"chart": "<string>",
"path": "<string>"
},
"values": {},
"metadata": {}
}
]
}
'import requests
url = "https://api.cnap.tech/v1/installs/standalone"
payload = {
"name": "my-redis",
"cluster_ids": ["<string>"],
"helm_sources": [
{
"chart": {
"repo_url": "<string>",
"target_revision": "<string>",
"chart": "<string>",
"path": "<string>"
},
"values": {},
"metadata": {}
}
]
}
headers = {
"Authorization": "Bearer <token>",
"Content-Type": "application/json"
}
response = requests.post(url, json=payload, headers=headers)
print(response.text)const options = {
method: 'POST',
headers: {Authorization: 'Bearer <token>', 'Content-Type': 'application/json'},
body: JSON.stringify({
name: 'my-redis',
cluster_ids: ['<string>'],
helm_sources: [
{
chart: {
repo_url: '<string>',
target_revision: '<string>',
chart: '<string>',
path: '<string>'
},
values: {},
metadata: {}
}
]
})
};
fetch('https://api.cnap.tech/v1/installs/standalone', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));
{
"error": {
"code": "not_found",
"message": "Resource not found",
"param": "name",
"suggestion": "Run `cnap clusters list` to see available clusters",
"details": "<unknown>"
}
}{
"error": {
"code": "not_found",
"message": "Resource not found",
"param": "name",
"suggestion": "Run `cnap clusters list` to see available clusters",
"details": "<unknown>"
}
}{
"error": {
"code": "not_found",
"message": "Resource not found",
"param": "name",
"suggestion": "Run `cnap clusters list` to see available clusters",
"details": "<unknown>"
}
}Installs
Create standalone install
Deploys custom helm sources directly to clusters without a product. Pass an Idempotency-Key header to safely retry on timeout.
POST
/
v1
/
installs
/
standalone
Create standalone install
Authorizations
Personal Access Token (cnap_pat_...) or OAuth2 JWT. Create tokens at https://cnap.tech/account/tokens
Headers
Unique key to prevent duplicate operations. If the same key is sent again, the existing workflow is returned instead of creating a new one.
Required string length:
1 - 256Example:
"deploy-prod-2024-03-15"
Body
application/json
Response
Install workflow started
⌘I